% - - - - - - - - - - - - - - - - - - - - - - -
%
% This program implements Taylor's method
%
% for solving the initial value problem
%
%     y' = f(t,y)    with    y(a) = y0
%
%
% Define and store the function d1 = f(t,y)	
% and formulas for the next three derivatives
% of  f(t,y)  in the M-file  df.m 
% function z = df(t,y)
% d1 = (t - y)/2;
% d2 = (2 - t + y)/4;
% d3 = (- 2 + t - y)/8;
% d4 = (2 - t + y)/16;
% z = [d1 d2 d3 d4];

% clc;

[T,Y] = taylor('df',0,2,0.5,10)


plot(T,Y, 'o-b')